2 Replies Latest reply on Nov 19, 2007 11:32 PM by Anu Sree

    jboss-4.0.5.GA-Cannot parametrize List in JSP

    Anu Sree Newbie

      Hai all,

      I am using jboss-4.0.5.GA and java5 to create&deploy a web application.
      But inside the jsp file I cannot parametrize the generic type list,
      Because it shows the following error while executing the jsp file
      The error is

      Generated servlet error:
      Syntax error, parameterized types are only available if source level is 5.0

      But this error won't occur in servlet with the same parametrization.

      My web.xml contains the folloing entry

      <web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:web="http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" id="WebApp_ID" version="2.5">

      how to solve this ,please help me
      thanks
      anu